Hex Artifact Content

Artifact 5a95feee8a130043ea9690db8a8f5481daea2059:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 43 34 54 43 4c 56 45 52 53 3d 22 30 2e 32 33  CC4TCLVERS="0.23
0100: 22 0a 53 52 43 3d 22 73 72 63 2f 74 63 63 34 74  ".SRC="src/tcc4t
0110: 63 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45 52 53  cl-${TCC4TCLVERS
0120: 7d 2e 74 61 72 2e 67 7a 22 0a 53 52 43 55 52 4c  }.tar.gz".SRCURL
0130: 3d 22 68 74 74 70 3a 2f 2f 72 6b 65 65 6e 65 2e  ="http://rkeene.
0140: 6f 72 67 2f 64 65 76 65 6c 2f 74 63 63 34 74 63  org/devel/tcc4tc
0150: 6c 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43 43 34  l/tcc4tcl-${TCC4
0160: 54 43 4c 56 45 52 53 7d 2e 74 61 72 2e 67 7a 22  TCLVERS}.tar.gz"
0170: 0a 42 55 49 4c 44 44 49 52 3d 22 24 28 70 77 64  .BUILDDIR="$(pwd
0180: 29 2f 62 75 69 6c 64 2f 74 63 63 34 74 63 6c 2d  )/build/tcc4tcl-
0190: 24 7b 54 43 43 34 54 43 4c 56 45 52 53 7d 22 0a  ${TCC4TCLVERS}".
01a0: 4f 55 54 44 49 52 3d 22 24 28 70 77 64 29 2f 6f  OUTDIR="$(pwd)/o
01b0: 75 74 22 0a 49 4e 53 54 44 49 52 3d 22 24 28 70  ut".INSTDIR="$(p
01c0: 77 64 29 2f 69 6e 73 74 22 0a 50 41 54 43 48 44  wd)/inst".PATCHD
01d0: 49 52 3d 22 24 28 70 77 64 29 2f 70 61 74 63 68  IR="$(pwd)/patch
01e0: 65 73 22 0a 65 78 70 6f 72 74 20 54 43 43 34 54  es".export TCC4T
01f0: 43 4c 56 45 52 53 20 53 52 43 20 53 52 43 55 52  CLVERS SRC SRCUR
0200: 4c 20 42 55 49 4c 44 44 49 52 20 4f 55 54 44 49  L BUILDDIR OUTDI
0210: 52 20 49 4e 53 54 44 49 52 20 50 41 54 43 48 44  R INSTDIR PATCHD
0220: 49 52 0a 0a 23 20 53 65 74 20 63 6f 6e 66 69 67  IR..# Set config
0230: 75 72 65 20 6f 70 74 69 6f 6e 73 20 66 6f 72 20  ure options for 
0240: 74 68 69 73 20 73 75 62 2d 70 72 6f 6a 65 63 74  this sub-project
0250: 0a 4c 44 46 4c 41 47 53 3d 22 24 7b 4c 44 46 4c  .LDFLAGS="${LDFL
0260: 41 47 53 7d 20 24 7b 4b 43 5f 54 43 43 34 54 43  AGS} ${KC_TCC4TC
0270: 4c 5f 4c 44 46 4c 41 47 53 7d 22 0a 43 46 4c 41  L_LDFLAGS}".CFLA
0280: 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d 20 24 7b  GS="${CFLAGS} ${
0290: 4b 43 5f 54 43 43 34 54 43 4c 5f 43 46 4c 41 47  KC_TCC4TCL_CFLAG
02a0: 53 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22 24 7b  S}".CPPFLAGS="${
02b0: 43 50 50 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54  CPPFLAGS} ${KC_T
02c0: 43 43 34 54 43 4c 5f 43 50 50 46 4c 41 47 53 7d  CC4TCL_CPPFLAGS}
02d0: 22 0a 4c 49 42 53 3d 22 24 7b 4c 49 42 53 7d 20  ".LIBS="${LIBS} 
02e0: 24 7b 4b 43 5f 54 43 43 34 54 43 4c 5f 4c 49 42  ${KC_TCC4TCL_LIB
02f0: 53 7d 22 0a 65 78 70 6f 72 74 20 4c 44 46 4c 41  S}".export LDFLA
0300: 47 53 20 43 46 4c 41 47 53 20 43 50 50 46 4c 41  GS CFLAGS CPPFLA
0310: 47 53 20 4c 49 42 53 0a 0a 72 6d 20 2d 72 66 20  GS LIBS..rm -rf 
0320: 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27 69  'build' 'out' 'i
0330: 6e 73 74 27 0a 6d 6b 64 69 72 20 27 62 75 69 6c  nst'.mkdir 'buil
0340: 64 27 20 27 6f 75 74 27 20 27 69 6e 73 74 27 20  d' 'out' 'inst' 
0350: 7c 7c 20 65 78 69 74 20 31 0a 0a 54 43 4c 5f 56  || exit 1..TCL_V
0360: 45 52 53 49 4f 4e 3d 22 75 6e 6b 6e 6f 77 6e 22  ERSION="unknown"
0370: 0a 69 66 20 5b 20 2d 66 20 22 24 7b 54 43 4c 43  .if [ -f "${TCLC
0380: 4f 4e 46 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e  ONFIGDIR}/tclCon
0390: 66 69 67 2e 73 68 22 20 5d 3b 20 74 68 65 6e 0a  fig.sh" ]; then.
03a0: 20 20 20 20 20 20 20 20 73 6f 75 72 63 65 20 22          source "
03b0: 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f  ${TCLCONFIGDIR}/
03c0: 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22 0a 66 69  tclConfig.sh".fi
03d0: 0a 65 78 70 6f 72 74 20 54 43 4c 5f 56 45 52 53  .export TCL_VERS
03e0: 49 4f 4e 0a 0a 69 66 20 5b 20 21 20 2d 66 20 22  ION..if [ ! -f "
03f0: 24 7b 53 52 43 7d 22 20 5d 3b 20 74 68 65 6e 0a  ${SRC}" ]; then.
0400: 09 6d 6b 64 69 72 20 27 73 72 63 27 20 3e 2f 64  .mkdir 'src' >/d
0410: 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e  ev/null 2>/dev/n
0420: 75 6c 6c 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20  ull...if [ ! -d 
0430: 27 62 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68  'buildsrc' ]; th
0440: 65 6e 0a 09 09 64 6f 77 6e 6c 6f 61 64 20 22 24  en...download "$
0450: 7b 53 52 43 55 52 4c 7d 22 20 22 24 7b 53 52 43  {SRCURL}" "${SRC
0460: 7d 2e 74 6d 70 22 20 2d 20 7c 7c 20 65 78 69 74  }.tmp" - || exit
0470: 20 31 0a 09 66 69 0a 66 69 0a 0a 28 0a 09 63 64   1..fi.fi..(..cd
0480: 20 27 62 75 69 6c 64 27 20 7c 7c 20 65 78 69 74   'build' || exit
0490: 20 31 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20 27   1...if [ ! -d '
04a0: 2e 2e 2f 62 75 69 6c 64 73 72 63 27 20 5d 3b 20  ../buildsrc' ]; 
04b0: 74 68 65 6e 0a 09 09 67 7a 69 70 20 2d 64 63 20  then...gzip -dc 
04c0: 22 2e 2e 2f 24 7b 53 52 43 7d 22 20 7c 20 74 61  "../${SRC}" | ta
04d0: 72 20 2d 78 66 20 2d 0a 09 65 6c 73 65 20 20 20  r -xf -..else   
04e0: 20 0a 09 09 63 70 20 2d 72 70 20 2e 2e 2f 62 75   ...cp -rp ../bu
04f0: 69 6c 64 73 72 63 2f 2a 20 27 2e 2f 27 0a 09 66  ildsrc/* './'..f
0500: 69 0a 0a 09 23 20 41 70 70 6c 79 20 72 65 71 75  i...# Apply requ
0510: 69 72 65 64 20 70 61 74 63 68 65 73 0a 09 63 64  ired patches..cd
0520: 20 22 24 7b 42 55 49 4c 44 44 49 52 7d 22 20 7c   "${BUILDDIR}" |
0530: 7c 20 65 78 69 74 20 31 0a 0a 09 66 6f 72 20 70  | exit 1...for p
0540: 61 74 63 68 20 69 6e 20 22 24 7b 50 41 54 43 48  atch in "${PATCH
0550: 44 49 52 7d 2f 61 6c 6c 22 2f 74 63 63 34 74 63  DIR}/all"/tcc4tc
0560: 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45 52 53 7d  l-${TCC4TCLVERS}
0570: 2d 2a 2e 64 69 66 66 20 22 24 7b 50 41 54 43 48  -*.diff "${PATCH
0580: 44 49 52 7d 2f 24 7b 54 43 4c 5f 56 45 52 53 49  DIR}/${TCL_VERSI
0590: 4f 4e 7d 22 2f 74 63 63 34 74 63 6c 2d 24 7b 54  ON}"/tcc4tcl-${T
05a0: 43 43 34 54 43 4c 56 45 52 53 7d 2d 2a 2e 64 69  CC4TCLVERS}-*.di
05b0: 66 66 3b 20 64 6f 0a 09 09 69 66 20 5b 20 21 20  ff; do...if [ ! 
05c0: 2d 66 20 22 24 7b 70 61 74 63 68 7d 22 20 5d 3b  -f "${patch}" ];
05d0: 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74 69 6e 75   then....continu
05e0: 65 0a 09 09 66 69 0a 0a 09 09 65 63 68 6f 20 22  e...fi....echo "
05f0: 41 70 70 6c 79 69 6e 67 3a 20 24 7b 70 61 74 63  Applying: ${patc
0600: 68 7d 22 0a 09 09 24 7b 50 41 54 43 48 3a 2d 70  h}"...${PATCH:-p
0610: 61 74 63 68 7d 20 2d 70 31 20 3c 20 22 24 7b 70  atch} -p1 < "${p
0620: 61 74 63 68 7d 22 0a 09 64 6f 6e 65 0a 0a 09 23  atch}"..done...#
0630: 20 54 72 79 20 74 6f 20 62 75 69 6c 64 20 61 73   Try to build as
0640: 20 61 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74   a shared object
0650: 20 69 66 20 72 65 71 75 65 73 74 65 64 0a 09 69   if requested..i
0660: 66 20 5b 20 22 24 7b 53 54 41 54 49 43 54 43 43  f [ "${STATICTCC
0670: 34 54 43 4c 7d 22 20 3d 20 22 30 22 20 5d 3b 20  4TCL}" = "0" ]; 
0680: 74 68 65 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22  then...tryopts="
0690: 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 20  --enable-shared 
06a0: 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65 64  --disable-shared
06b0: 22 0a 09 65 6c 69 66 20 5b 20 22 24 7b 53 54 41  "..elif [ "${STA
06c0: 54 49 43 54 43 43 34 54 43 4c 7d 22 20 3d 20 22  TICTCC4TCL}" = "
06d0: 2d 31 22 20 5d 3b 20 74 68 65 6e 0a 09 09 23 20  -1" ]; then...# 
06e0: 52 65 71 75 69 72 65 20 73 68 61 72 65 64 20 6f  Require shared o
06f0: 62 6a 65 63 74 20 69 66 20 72 65 71 75 65 73 74  bject if request
0700: 65 64 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d  ed...tryopts="--
0710: 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09  enable-shared"..
0720: 65 6c 73 65 0a 09 09 23 20 44 65 66 61 75 6c 74  else...# Default
0730: 20 74 6f 20 62 75 69 6c 64 69 6e 67 20 73 74 61   to building sta
0740: 74 69 63 61 6c 6c 79 0a 09 09 74 72 79 6f 70 74  tically...tryopt
0750: 73 3d 22 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61  s="--disable-sha
0760: 72 65 64 22 0a 09 66 69 0a 0a 09 69 66 20 65 63  red"..fi...if ec
0770: 68 6f 20 22 20 24 7b 43 4f 4e 46 49 47 55 52 45  ho " ${CONFIGURE
0780: 45 58 54 52 41 7d 20 22 20 7c 20 67 72 65 70 20  EXTRA} " | grep 
0790: 27 20 2d 2d 64 69 73 61 62 6c 65 2d 6c 6f 61 64  ' --disable-load
07a0: 20 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 3b 20 74   ' >/dev/null; t
07b0: 68 65 6e 0a 09 09 64 6c 6f 70 65 6e 5f 66 6c 61  hen...dlopen_fla
07c0: 67 3d 22 2d 2d 77 69 74 68 2d 64 6c 6f 70 65 6e  g="--with-dlopen
07d0: 22 0a 09 65 6c 73 65 0a 09 09 64 6c 6f 70 65 6e  "..else...dlopen
07e0: 5f 66 6c 61 67 3d 22 2d 2d 77 69 74 68 6f 75 74  _flag="--without
07f0: 2d 64 6c 6f 70 65 6e 22 0a 09 66 69 0a 0a 09 53  -dlopen"..fi...S
0800: 41 56 45 5f 43 46 4c 41 47 53 3d 22 24 7b 43 46  AVE_CFLAGS="${CF
0810: 4c 41 47 53 7d 22 0a 09 66 6f 72 20 74 72 79 6f  LAGS}"..for tryo
0820: 70 74 20 69 6e 20 24 74 72 79 6f 70 74 73 20 5f  pt in $tryopts _
0830: 5f 66 61 69 6c 5f 5f 3b 20 64 6f 0a 09 09 23 20  _fail__; do...# 
0840: 43 6c 65 61 6e 20 75 70 2c 20 69 66 20 6e 65 65  Clean up, if nee
0850: 64 65 64 0a 09 09 6d 61 6b 65 20 64 69 73 74 63  ded...make distc
0860: 6c 65 61 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20  lean >/dev/null 
0870: 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d  2>/dev/null...rm
0880: 20 2d 72 66 20 22 24 7b 49 4e 53 54 44 49 52 7d   -rf "${INSTDIR}
0890: 22 0a 09 09 6d 6b 64 69 72 20 22 24 7b 49 4e 53  "...mkdir "${INS
08a0: 54 44 49 52 7d 22 0a 0a 09 09 69 66 20 5b 20 22  TDIR}"....if [ "
08b0: 24 7b 74 72 79 6f 70 74 7d 22 20 3d 20 22 5f 5f  ${tryopt}" = "__
08c0: 66 61 69 6c 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a  fail__" ]; then.
08d0: 09 09 09 65 78 69 74 20 31 0a 09 09 66 69 0a 0a  ...exit 1...fi..
08e0: 09 09 69 66 20 5b 20 22 24 7b 74 72 79 6f 70 74  ..if [ "${tryopt
08f0: 7d 22 20 3d 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d  }" == "--enable-
0900: 73 68 61 72 65 64 22 20 5d 3b 20 74 68 65 6e 0a  shared" ]; then.
0910: 09 09 09 69 73 73 68 61 72 65 64 3d 22 31 22 0a  ...isshared="1".
0920: 09 09 65 6c 73 65 0a 09 09 09 69 73 73 68 61 72  ..else....isshar
0930: 65 64 3d 22 30 22 0a 09 09 66 69 0a 0a 09 09 23  ed="0"...fi....#
0940: 20 49 66 20 62 75 69 6c 64 20 61 20 73 74 61 74   If build a stat
0950: 69 63 20 74 63 63 34 74 63 6c 20 66 6f 72 20 4b  ic tcc4tcl for K
0960: 69 74 44 4c 4c 2c 20 65 6e 73 75 72 65 20 74 68  itDLL, ensure th
0970: 61 74 20 77 65 20 75 73 65 20 50 49 43 0a 09 09  at we use PIC...
0980: 23 20 73 6f 20 74 68 61 74 20 69 74 20 63 61 6e  # so that it can
0990: 20 62 65 20 6c 69 6e 6b 65 64 20 69 6e 74 6f 20   be linked into 
09a0: 74 68 65 20 73 68 61 72 65 64 20 6f 62 6a 65 63  the shared objec
09b0: 74 0a 09 09 69 66 20 5b 20 22 24 7b 69 73 73 68  t...if [ "${issh
09c0: 61 72 65 64 7d 22 20 3d 20 22 30 22 20 2d 61 20  ared}" = "0" -a 
09d0: 22 24 7b 4b 49 54 54 41 52 47 45 54 7d 22 20 3d  "${KITTARGET}" =
09e0: 20 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65   "kitdll" ]; the
09f0: 6e 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53  n....CFLAGS="${S
0a00: 41 56 45 5f 43 46 4c 41 47 53 7d 20 2d 66 50 49  AVE_CFLAGS} -fPI
0a10: 43 22 0a 09 09 65 6c 73 65 0a 09 09 09 43 46 4c  C"...else....CFL
0a20: 41 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41  AGS="${SAVE_CFLA
0a30: 47 53 7d 22 0a 09 09 66 69 0a 0a 09 09 28 0a 09  GS}"...fi....(..
0a40: 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a  ..echo "Running:
0a50: 20 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24 74 72   ./configure $tr
0a60: 79 6f 70 74 20 2d 2d 70 72 65 66 69 78 3d 5c 22  yopt --prefix=\"
0a70: 24 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 65  ${INSTDIR}\" --e
0a80: 78 65 63 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49  xec-prefix=\"${I
0a90: 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 6c 69 62 64  NSTDIR}\" --libd
0aa0: 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f  ir=\"${INSTDIR}/
0ab0: 6c 69 62 5c 22 20 2d 2d 77 69 74 68 2d 74 63 6c  lib\" --with-tcl
0ac0: 3d 5c 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49  =\"${TCLCONFIGDI
0ad0: 52 7d 5c 22 20 24 7b 64 6c 6f 70 65 6e 5f 66 6c  R}\" ${dlopen_fl
0ae0: 61 67 7d 20 24 7b 43 4f 4e 46 49 47 55 52 45 45  ag} ${CONFIGUREE
0af0: 58 54 52 41 7d 22 0a 09 09 09 2e 2f 63 6f 6e 66  XTRA}"...../conf
0b00: 69 67 75 72 65 20 24 74 72 79 6f 70 74 20 2d 2d  igure $tryopt --
0b10: 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49  prefix="${INSTDI
0b20: 52 7d 22 20 2d 2d 65 78 65 63 2d 70 72 65 66 69  R}" --exec-prefi
0b30: 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22 20 2d  x="${INSTDIR}" -
0b40: 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53 54 44  -libdir="${INSTD
0b50: 49 52 7d 2f 6c 69 62 22 20 2d 2d 77 69 74 68 2d  IR}/lib" --with-
0b60: 74 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47  tcl="${TCLCONFIG
0b70: 44 49 52 7d 22 20 24 7b 64 6c 6f 70 65 6e 5f 66  DIR}" ${dlopen_f
0b80: 6c 61 67 7d 20 24 7b 43 4f 4e 46 49 47 55 52 45  lag} ${CONFIGURE
0b90: 45 58 54 52 41 7d 0a 0a 09 09 09 65 63 68 6f 20  EXTRA}.....echo 
0ba0: 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45  "Running: ${MAKE
0bb0: 3a 2d 6d 61 6b 65 7d 22 0a 09 09 09 24 7b 4d 41  :-make}"....${MA
0bc0: 4b 45 3a 2d 6d 61 6b 65 7d 20 7c 7c 20 65 78 69  KE:-make} || exi
0bd0: 74 20 31 0a 0a 09 09 09 65 63 68 6f 20 22 52 75  t 1.....echo "Ru
0be0: 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d  nning: ${MAKE:-m
0bf0: 61 6b 65 7d 20 69 6e 73 74 61 6c 6c 22 0a 09 09  ake} install"...
0c00: 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 69  .${MAKE:-make} i
0c10: 6e 73 74 61 6c 6c 20 7c 7c 20 65 78 69 74 20 31  nstall || exit 1
0c20: 0a 09 09 29 20 7c 7c 20 63 6f 6e 74 69 6e 75 65  ...) || continue
0c30: 0a 0a 09 09 62 72 65 61 6b 0a 09 64 6f 6e 65 0a  ....break..done.
0c40: 0a 09 23 20 43 72 65 61 74 65 20 56 46 53 2d 69  ..# Create VFS-i
0c50: 6e 73 65 72 74 0a 09 63 70 20 2d 72 20 22 24 7b  nsert..cp -r "${
0c60: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 22 24  INSTDIR}/lib" "$
0c70: 7b 4f 55 54 44 49 52 7d 22 20 7c 7c 20 65 78 69  {OUTDIR}" || exi
0c80: 74 20 31 0a 09 66 69 6e 64 20 22 24 7b 4f 55 54  t 1..find "${OUT
0c90: 44 49 52 7d 22 20 2d 6e 61 6d 65 20 27 2a 2e 61  DIR}" -name '*.a
0ca0: 27 20 2d 74 79 70 65 20 66 20 7c 20 67 72 65 70  ' -type f | grep
0cb0: 20 2d 76 20 27 2f 6c 69 62 74 63 63 31 5c 2e 61   -v '/libtcc1\.a
0cc0: 24 27 20 7c 20 78 61 72 67 73 20 72 6d 20 2d 66  $' | xargs rm -f
0cd0: 0a 0a 09 23 20 54 65 6c 6c 20 4b 69 74 73 68 20  ...# Tell Kitsh 
0ce0: 6e 6f 74 20 74 6f 20 74 72 79 20 74 6f 20 6c 69  not to try to li
0cf0: 6e 6b 20 61 67 61 69 6e 73 74 20 22 6c 69 62 74  nk against "libt
0d00: 63 63 31 2e 61 22 0a 09 65 63 68 6f 20 22 2f 6c  cc1.a"..echo "/l
0d10: 69 62 74 63 63 31 5c 2e 61 22 20 3e 20 22 24 7b  ibtcc1\.a" > "${
0d20: 49 4e 53 54 44 49 52 7d 2f 6b 69 74 63 72 65 61  INSTDIR}/kitcrea
0d30: 74 6f 72 2d 6e 6f 6c 69 62 73 22 0a 0a 09 65 78  tor-nolibs"...ex
0d40: 69 74 20 30 0a 29 20 7c 7c 20 65 78 69 74 20 31  it 0.) || exit 1
0d50: 0a 0a 65 78 69 74 20 30 0a                       ..exit 0.